import request from "@/utils/request";

/**
 * 获取基本信息
 * @param {number} tid 租户ID
 * @returns {Promise}
 */
export function getNormalInfos(tid) {
  return request({
    url: "/backend/normalInfos",
    method: "get",
    params: { tid }
  });
}

/**
 * 保存基本信息
 * @param {Object} data 要保存的数据
 * @returns {Promise}
 */
export function saveNormalInfos(data) {
  return request({
    url: "/backend/saveNormalInfos",
    method: "post",
    data: data,
  });
}

/**
 * 获取登录验证数据
 * @returns {Promise}
 */
export function getVerifyInfos() {
  return request({
    url: "/backend/loginVerifyInfos",    
    method: "get",
  });
}

/**
 * 保存登录验证数据
 * @param {Object} data 要保存的数据
 * @returns {Promise}
 */
export function saveVerifyInfos(data) {
  return request({
    url: "/backend/saveloginVerifyInfos",
    method: "post",
    data: data, 
  });
}

/**
 * 获取法律声明和隐私条款
 * @param {number} tid 租户ID
 * @returns {Promise}
 */
export function getLegalInfos(tid) {
  return request({
    url: "/backend/legalInfos",
    method: "get",
    params: { tid }
  });
}

/**
 * 保存法律声明和隐私条款
 * @param {Object} data 要保存的数据
 * @returns {Promise}
 */
export function saveLegalInfos(data) {
  return request({
    url: "/backend/saveLegalInfos",
    method: "post",
    data: data,
  });
}

/**
 * 获取企业信息
 * @param {number} tid 租户ID
 * @returns {Promise}
 */
export function getCompanyInfos(tid) {
  return request({
    url: "/backend/companyInfos",
    method: "get",
    params: { tid }
  });
}

/**
 * 保存企业信息
 * @param {Object} data 要保存的数据
 * @returns {Promise}
 */
export function saveCompanyInfos(data) {
  return request({
    url: "/backend/saveCompanyInfos",
    method: "post",
    data: data,
  });
}

/**
 * 获取企业SEO
 * @param {number} tid 租户ID
 * @returns {Promise}
 */
export function getCompanySeo(tid) {
  return request({
    url: "/backend/companySeo",
    method: "get",
    params: { tid }
  });
}

/**
 * 保存企业SEO
 * @param {Object} data 要保存的数据
 * @returns {Promise}
 */
export function saveCompanySeo(data) {
  return request({
    url: "/backend/saveCompanySeo",
    method: "post",
    data: data,
  });
}